<!DOCTYPE html>
<html lang="en">
    <head>
        <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
        <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>    
        <!------ Include the above in your HEAD tag ---------->
        <link rel="stylesheet" href="/stylesheets/dashboard-admin.css">
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-T8Gy5hrqNKT+hzMclPo118YTQO6cYprQmhrYwIiQ/3axmI1hQomh7Ud2hPOy8SP1" crossorigin="anonymous">
    </head>
    <body class="home">
        <div class="container-fluid display-table">
            <div class="row display-table-row">
                <div class="col-md-2 col-sm-1 hidden-xs display-table-cell v-align box" id="navigation">
                    <div class="logo">
                        <a hef="home.html"><img src="/images/logo.png" alt="merkery_logo" class="hidden-xs hidden-sm">
                            <img src="http://jskrishna.com/work/merkury/images/circle-logo.png" alt="merkery_logo" class="visible-xs visible-sm circle-logo">
                        </a>
                    </div>
                    <div class="navi">
                        <ul>
                          <li><a href="/admin"><i class="fa fa-home" aria-hidden="true"></i><span class="hidden-xs hidden-sm">Home</span></a></li>
                          <li><a href="/game/all/history"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-xs hidden-sm">Statistics</span></a></li>
                          <li class="active"><a href="/admin/users"><i class="fa fa-calendar" aria-hidden="true"></i><span class="hidden-xs hidden-sm">Users</span></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-10 col-sm-11 display-table-cell v-align">
                    <!--<button type="button" class="slide-toggle">Slide Toggle</button> -->
                    <div class="row">
                        <header>
                            <div class="col-md-7">
                                <nav class="navbar-default pull-left">
                                    <div class="navbar-header">
                                        <button type="button" class="navbar-toggle collapsed" data-toggle="offcanvas" data-target="#side-menu" aria-expanded="false">
                                            <span class="sr-only">Toggle navigation</span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                        </button>
                                    </div>
                                </nav>
                                <div class="search hidden-xs hidden-sm">
                                    <input type="text" placeholder="Search" id="search">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="header-rightside">
                                    <button type="submit" class="btn btn-primary float-right" onclick=logoutHandle()>Logout</button>
                                </div>
                            </div>
                        </header>
                    </div>
                    <div class="user-dashboard">
                        <h1>Hello, Admin</h1>
                        <div class="container add-menu">
                            <div class="form-group">
                                <input class="form-control" placeholder="Username" id="username">
                              </div>
                              <div class="form-group">
                                <input type="password" class="form-control" placeholder="Password" id="password">
                              </div>
                              <div class="form-group">
                                  <input type="text" class="form-control" placeholder="Email" id="email">
                                </div>
                              <div class="form-group">
                                <input type="text" class="form-control" placeholder="Fullname" id="fullname">
                              </div>
                              <div class="form-group">
                                <input type="text" class="form-control" placeholder="Address" id="address">
                              </div>
                              <div class="form-group">
                                <select id="gender" name="example">
                                    <option name="" value="0">Select gender</option>
                                    <option name="table1" value="Laki-laki">Laki-laki</option>
                                    <option name="table2" value="perempuan">Perempuan</option>
                                </select>
                              </div>
                              <button type="submit" id="btnInsert" class="btn btn-primary" onclick=addUserHanlder()>Insert</button>
                              <button type="submit" id="btnEdit" class="btn btn-warning" style="display: none;">Update</button>
                            </div>
                        
                          <div class="container-fluid menu-list">
                            <h4>Daftar Users</h4>
                            <table class="table">
                              <thead>
                                <tr>
                                    <th scope="col">No</th>
                                    <th scope="col">Username</th>
                                    <th scope="col">Password</th>
                                    <th scope="col">email</th>
                                    <th scope="col">Fullname</th>
                                    <th scope="col">Address</th>
                                    <th scope="col">Gender</th>
                                    <th scope="col">Last Update</th>
                                </tr>
                              </thead>
                              <tbody>
                                <% for( let i = 0; i < dataUser.length; i++ ) { %>
                                    <tr id="<%= dataUser[i].id %>">
                                      <th scope="row"><%= i + 1 %></th>
                                      <td><%= dataUser[i].username%></td>
                                      <td><%= dataUser[i].password%></td>
                                      <td><%= dataUser[i].UserGameBiodatum.email%></td>
                                      <td><%= dataUser[i].UserGameBiodatum.name%></td>
                                      <td><%= dataUser[i].UserGameBiodatum.address%></td>
                                      <td><%= dataUser[i].UserGameBiodatum.gender%></td>
                                      <td><%= dataUser[i].UserGameBiodatum.updatedAt%></td>
                                      <td>
                                        <button type="submit" class="btn btn-primary" onclick =prepareEditHandler(<%= dataUser[i].id %>)>Edit</button>
                                        <button type="submit" class="btn btn-danger" onclick=deleteUserHanlder(<%= dataUser[i].id %>)>Delete</button>
                                      </td>
                                    </tr>
                                  <% } %>
                              </tbody>
                            </table>
                          </div>
                    </div>
                </div>
            </div>
    
        </div>
    
        <script src="/javascripts/script.js"></script>
</body>
</html>